Create New Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
POST /users
application/json

Body

  • username string Required
  • password string(password) Required
  • firstName string
  • lastName string
  • email string Required
  • serverId string Required
  • profileId number Required

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id string Required

      the created user id

POST /users
curl \
 --request POST 'https://identity.zerionsoftware.com/v1/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "username": "demo_user",
  "password": "{strong-password}",
  "email": "support@iformbuilder.com",
  "serverId": "app",
  "profileId": 12345
}'
Request examples
{
  "username": "demo_user",
  "password": "{strong-password}",
  "email": "support@iformbuilder.com",
  "serverId": "app",
  "profileId": 12345
}
[
  {
    "username": "inspector_1",
    "password": "{strong-password}",
    "email": "inspector1@company.com",
    "serverId": "app",
    "profileId": 12345
  },
  {
    "username": "inspector_2",
    "password": "{strong-password}",
    "email": "inspector2@company.com",
    "serverId": "app",
    "profileId": 12345
  }
]
Response examples (201)
{
  "id": "5e72b386ac43d1414e59188b"
}
[
  {
    "id": "5e72b386ac43d1414e59188b"
  },
  {
    "id": "5e72b386ac43d1414e59188c"
  }
]